%define		php_name	php%{?php_suffix}
%define		modname	xdebug
%define		status	stable
Summary:	%{modname} - provides functions for functions traces and profiling
Summary(pl.UTF-8):	%{modname} - funkcje do śledzenia i profilowania funkcji
Name:		%{php_name}-pecl-%{modname}
Version:	2.2.3
Release:	1
License:	BSD style
Group:		Development/Languages/PHP
Source0:	http://www.xdebug.org/files/xdebug-%{version}.tgz
# Source0-md5:	e49cec9861b45dc0b36eae33bf8a14fa
Source1:	%{modname}.ini
URL:		http://www.xdebug.org/
BuildRequires:	%{php_name}-devel >= 4:5.2.17-8
BuildRequires:	libedit-devel
BuildRequires:	libtool
BuildRequires:	rpmbuild(macros) >= 1.579
%{?requires_zend_extension}
Conflicts:	ZendOptimizer
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Xdebug extension helps you debugging your script by providing a
lot of valuable debug information. The debug information that Xdebug
can provide includes the following:

- stack and function traces in error messages with:
 - full parameter display for user defined functions
 - function name, file name and line indications
 - support for member functions memory allocation
- protection for infinite recursions

Xdebug also provides:

- profiling information for PHP scripts
- script execution analysis
- capabilities to debug your scripts interactively with a debug client

In PECL status of this package is: %{status}.

%description -l pl.UTF-8
Rozszerzenie Xdebug pomaga przy odpluskwianiu skryptu dostarczając
dużo wartościowych informacji. Informacje przydatne do śledzenia,
które może zapewnić Xdebug, obejmują:

- śledzenie stosu i funkcji w komunikatach błędów wraz z:
 - pełnym wyświetlaniem parametrów dla funkcji zdefiniowanych przez
   użytkownika
 - nazwami funkcji, nazwami plików i numerami linii
 - obsługą metod klas
- przydzielanie pamięci
- zabezpieczenie przed nieskończoną rekurencją

Xdebug dostarcza także:

- informacje do profilowania skryptów PHP
- analizę wywołań skryptu
- możliwość śledzenia skryptów interaktywnie przy pomocy klienta
  odpluskwiacza

To rozszerzenie ma w PECL status: %{status}.

%prep
%setup -qc
mv %{modname}-%{version}*/* .
chmod +x debugclient/configure

%{__sed} -e 's#^;zend_extension.*#zend_extension=%{php_extensiondir}/%{modname}.so#' %{SOURCE1} > %{modname}.ini

%build
# libtool 2.2 build fix
if [ -f %{_aclocaldir}/ltsugar.m4 ]; then
	cat %{_aclocaldir}/ltsugar.m4 >> config.m4
	cat %{_aclocaldir}/ltsugar.m4 >> debugclient/aclocal.m4

	cat %{_aclocaldir}/ltversion.m4 >> config.m4
	cat %{_aclocaldir}/ltversion.m4 >> debugclient/aclocal.m4

	cat %{_aclocaldir}/lt~obsolete.m4 >> config.m4
	cat %{_aclocaldir}/lt~obsolete.m4 >> debugclient/aclocal.m4

	cat %{_aclocaldir}/ltoptions.m4 >> config.m4
	cat %{_aclocaldir}/ltoptions.m4 >> debugclient/aclocal.m4

	cat %{_aclocaldir}/libtool.m4 >> debugclient/aclocal.m4
fi

phpize
%configure
%{__make}
cd debugclient
install /usr/share/automake/{config.*,depcomp} .
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%configure \
	--with-libedit
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{php_sysconfdir}/conf.d,%{php_extensiondir}}

install -p debugclient/debugclient $RPM_BUILD_ROOT%{_bindir}/%{modname}%{?php_suffix}-debugclient
install -p modules/%{modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cp -a %{modname}.ini $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc README NEWS CREDITS contrib/xt.vim
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%attr(755,root,root) %{_bindir}/xdebug*-debugclient
%changelog
* Wed Jun 05 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-xdebug.git;a=log;h=auto/th/php-pecl-xdebug-2.2.3-1

* Wed Jun 05 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 1b30b60
- up to 2.2.3

* Wed Oct 17 2012 Elan Ruusamäe <glen@delfi.ee> 2ba22e4
- non-conflicting filename for debugclient

* Wed Oct 17 2012 Elan Ruusamäe <glen@delfi.ee> 05ed2ac
- php54 fixes

* Wed Oct 17 2012 Elan Ruusamäe <glen@delfi.ee> d412cdf
- allow building for php54 (-D php_suffix 54)

* Fri Aug 03 2012 Elan Ruusamäe <glen@delfi.ee> aea2207
- release 2 (by relup.sh)

* Sat Jun 09 2012 Łukasz Kieś <kiesiu@pld-linux.org> 6b8a44e
- updated to 2.2.0

* Thu Mar 01 2012 Elan Ruusamäe <glen@pld-linux.org> a028c43
- zts off in >= 5.2.17-8

* Thu Jan 26 2012 Adam Gołębiowski <adamg@pld-linux.org> ac4ed85
- updated to 2.1.3

* Tue Jan 17 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 3f43640
- up to 2.1.2

* Sat Dec 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 32c601f
- release 4

* Mon Aug 30 2010 Elan Ruusamäe <glen@pld-linux.org> 7c227a4
- the directive is just "zend_extension" in php 5.3

* Mon Aug 30 2010 Elan Ruusamäe <glen@pld-linux.org> 082db32
- fix macros usage if ZTS is disabled

* Mon Aug 30 2010 Elan Ruusamäe <glen@pld-linux.org> 472e26b
- up to 2.1.0-release

* Thu Jun 03 2010 Elan Ruusamäe <glen@pld-linux.org> 78c0ce8
- fix epoch

* Thu Jun 03 2010 Elan Ruusamäe <glen@pld-linux.org> 9055546
- rel up (beta > rc1)

* Wed Jun 02 2010 Elan Ruusamäe <glen@pld-linux.org> 266b1c9
- up to 2.1.0RC1
- drop pear obsoletes, it was never pear

* Mon Mar 01 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 459645d
- up to 2.1.0 beta3

* Tue Jul 07 2009 Elan Ruusamäe <glen@pld-linux.org> 4c3d15d
- fix bad chars

* Tue Jul 07 2009 Elan Ruusamäe <glen@pld-linux.org> 04fa610
- release 2

* Sun Jul 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 6d9ef3e
- up to 2.0.5

